import React from 'react';
//import { connect } from "react-redux";

import './eventCard.scss';

import Sidebar from '../../components/sidebar/Sidebar';
import Footer from '../../components/footer/Footer';

export class EventCard extends React.Component {
    render() {
        const { event } = this.props;
        const dateArr = new Date(event.eventDate).toDateString().split(' ');
        console.log( event );
        return (
            <>
                <Sidebar />
                <div className="event-card">
                    <div className="event-card-cap">
                        <div className="event-card-img">
                            <img src={event.mainBannerPicture} alt="banner" />
                        </div>
                        <div className="event-card-title">
                            <div className="container-wrap">
                                <h2>{event.title}</h2>
                                <p className="country">{event.country}, {event.city}</p>
                                <p className="event-type">{event.eventType}</p>
                                <div className="date">
                                    <p>
                                        {
                                            dateArr.map(
                                                (el, ind) => ind > 0 ? <span key={ind}>{el} </span> : null
                                            )
                                        }
                                    </p>
                                </div>
                                {/*<div>
                                    <button>Register</button>
                                </div>*/}
                            </div>
                            <div className="bg-black"></div>
                        </div>
                    </div>            
                    <div className="container-wrap">
                        <div className="event-card-info">
                            <div className="info-content">
                                <p><span>Age limit: </span>{event.ageLimit}</p>
                                <p><span>Aid stations: </span>{event.aidStations}</p>
                                <p><span>Award medals: </span>{event.awardMedals}</p>
                                <p><span>Equipment storage: </span>{event.equipmentStorage}</p>

                                <div className="price">
                                    <h3>Price</h3>
                                    <p><span>Half marathone: </span>{event.halfmarathoneDistancePrice}</p>
                                    <p><span>Marathone: </span>{event.marathoneDistancePrice}</p>
                                </div>
                                
                                <p><span>Maximum time: </span>{event.maximumTime}</p>

                                <div className="overview">
                                    <p>{event.overview}</p>
                                </div>
                                
                                <p><span>Parking: </span>{event.parking}</p>
                                <p><span>Refreshments: </span>{event.refreshments}</p>

                                {/*{event.contentVideo}
                                {event.mainBannerPicture}
                                {event.map}
                                */}
                            </div>
                            <div className="reg-form">
                                <div className="btn-group">
                                    <button className="btn" type="button">Register</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <Footer/>
            </>
        )
    }
}

export default EventCard;

/*const mapStateToProps = state => {
    return {
        events: state.getEvents.events
    };
};

export default connect(
    mapStateToProps,
    { getAllEvents }
)(Events);*/